# OpenShaderDesigner: OpenShaderDesigner::Event Struct Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Event Struct Referenceabstract

Base Event class for sending events to the Engine. More...

`#include <EventSystem.h>`

## Public Member Functions

virtual uint8_t | GetID () const =0
| Get the Event's type ID.

## Static Public Member Functions

template<typename T >
static uint8_t | TypeOf ()

## Detailed Description

Base Event class for sending events to the Engine.

## Member Function Documentation

## GetID()

virtual uint8_t OpenShaderDesigner::Event::GetID | ( |  | ) | const

inlinepure virtual

Get the Event's type ID.

Returns
  A pointer to the Event type ID.

The documentation for this struct was generated from the following file:

- Include/Core/EventSystem.h